<?php include '__header.phtml'; ?>

<?php
if (!$rekening) {
    ?>

Fout: niet jouw eigen rekening.
<?php

} else {
    ?>

<h2 class="page-header">Transactieoverzicht<a class="btn btn-default pull-right" href="overboeking" role="button">Nieuwe overboeking</a></h2>
<div class="panel panel-default">
  <div class="panel-body">
    <div class="row">
      <div class="col-md-6">
          IBAN/rekeningnummer<br/>
          <h4><?php echo $rekening['iban']?></h4>
      </div>
      <div class="col-md-6">Saldo<br/>
      <h4><?php echo money_format('%(#1n', $rekening['saldo']); ?></h4>
  </div>
    </div>

  </div>
</div>
<table class="table">
    <tr>
        <th>Datum</th>
        <th>Type</th>
        <th>Omschrijving</th>
        <th>Tegenrekening</th>
        <th>AF/BIJ</th>
        <th>Bedrag</th>
    </tr>
<?php
foreach ($transacties as $transactie) {
        if (!isset($transactie['omschrijving'])) {
            $transactie['omschrijving'] = "";
        }
        echo "<tr>";
        echo "<td></td>";
        echo "<td>" . $transactie['type'] . "</td>\n";
        echo "<td>" . $transactie['omschrijving'] . "</td>\n";

        if ($transactie['van'] === $rekening['iban']) {
            echo "<td>" . $transactie['naar'] . "</td>\n";
            echo "<td>AF</td>\n";
        } else {
            echo "<td>" . $transactie['van'] . "</td>\n";
            echo "<td>BIJ</td>\n";
        }

        echo "<td>" . money_format('%(#1n', $transactie['bedrag']) . "</td>\n";
        echo "</tr>";
    } ?>
</table>
<?php

}
?>
<?php include '__footer.phtml'; ?>
